<?php

namespace App\Imports;

use App\User;
use Illuminate\Support\Facades\Hash;
use Maatwebsite\Excel\Concerns\ToModel;

class UsersImport implements ToModel
{
    /**
    * @param array $row
    *
    * @return \Illuminate\Database\Eloquent\Model|null
    */
    public function model(array $row)
    {
        if (!isset($row[0])) {
            return null;
        }
        return new User([
            'name' => $row[0], 
            'email' => $row[2], 
            'username'=> $row[1], 
            'password' => Hash::make($row[4]),
            'phone' => $row[3],
            'role' => $row[5]
        ]);
    }

    public function getCsvSettings(): array 
    {
        return [
            'delimiter' => ","
        ];
    }
}
